/* ========================================
 *  GalacticVibe - GalacticVibe.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) Airwindows, Airwindows uses the MIT license
 * ======================================== */

#ifndef __GalacticVibe_GalacticVibe_H
#define __GalacticVibe_GalacticVibe_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::GalacticVibe {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class GalacticVibe final : public SfxCoreExtensionV1
{
public:
    GalacticVibe();
    ~GalacticVibe();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double aML[3111];
	double aMR[3111];
	double vibML, vibMR, depthM, oldfpd;	
	double vibM;
	int countM;
		
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
